- name: "Install Pidgin: 📦 package"
  become: yes
  ansible.builtin.apt:
    pkg: pidgin

- name: "Install telegram-purple: 🚚 repo"
  become: yes
  ansible.builtin.apt_repository:
    repo: ppa:nilarimogard/webupd8
- name: "Install telegram-purple: 📦 package"
  become: yes
  ansible.builtin.apt:
    pkg: telegram-purple

- name: "Install purple-facebook: key"
  become: yes
  ansible.builtin.apt_key:
    url: https://build.opensuse.org/projects/home:jgeboski/public_key.pub
- name: "Install purple-facebook: 🚚 repo"
  become: yes
  ansible.builtin.apt_repository:
    repo: "deb https://download.opensuse.org/repositories/home:/jgeboski/xUbuntu_{{ lsb_release }}/ /"
- name: "Install purple-facebook: 📦 package"
  become: yes
  ansible.builtin.apt:
    pkg: purple-facebook

- name: "Install pidgin-opensteamworks: 📦 package"
  ansible.builtin.get_url:
    url: "{{ versioning_libsteam_link }}"
    dest: "{{ config_pidgin }}/plugins"

- name: "Install skypeweb: build + package"
  ansible.builtin.shell:
    executable: /bin/bash
    cmd: "apt-mark showinstall | grep -q skypeweb && echo -n 'Previously installed' ||
                (
                cd {{ ansible_user_dir }} &&
                sudo apt install -y libpurple-dev libjson-glib-dev cmake gcc &&
                git clone git://github.com/EionRobb/skype4pidgin.git &&
                cd skype4pidgin/skypeweb/ &&
                mkdir build &&
                cd build &&
                cmake .. &&
                cpack &&
                sudo dpkg -i skypeweb* &&
                cd {{ ansible_user_dir }} &&
                sudo rm -r skype4pidgin
                )"
  register: skypeweb_install
  changed_when: skypeweb_install.stdout != 'Previously installed'
